# Config

```lua
TZMCParcelTheft = {}

--[[

    INSTALLATION

    ADD ITEM

    1.  Navigate to .../[qb]/qb-core/shared/items.lua
    2.  Scroll to the bottom of the item list and paste the following text:

        stolen_parcel               = { name = 'stolen_parcel', label = 'Stolen Parcel', weight = 15000, type = 'item', image = 'parcelBox.png', unique = true, useable = false, description = 'A reusable petrol can which can be filled up multiple times.' },

    3.  Once added, navigate to .../[qb]/qb-inventory/html/images/ and add your image in. You can use the example below:

        https://drive.google.com/file/d/1SJX1h7UCeqa131JcN_s6SOZfQbUro77_/view?usp=sharing

    4.  You are now done.

    POLICE 

    Feel free to edit the police.lua file to accommodate your servers requirements.

]]

TZMCParcelTheft.Locations = {
    vector4(1388.56, -569.61, 74.5, 112.58),
    vector4(1385.79, -593.04, 74.49, 50.77),
    vector4(1367.35, -606.06, 74.71, 2.33),
    vector4(1341.99, -597.63, 74.7, 51.6),
    vector4(1372.7, -555.6, 74.69, 242.29)
    -- Add More Vector4 Locations Here
}

TZMCParcelTheft.General = {
    maxConcurrentBoxes = 2, -- How many active boxes are out there
    respawnDelay = 10       -- How many seconds till the next box respawns
}

TZMCParcelTheft.Inventory = { -- If all are false, this will default to qb-inventory
    usingPsInventory = false, -- If using ps-inventory, set this to true and events will be sent for this resource.
    usingOxInventory = false  -- If using ox_inventory, set this to true and events will be sent for this resource.
}

-- Police response settings
TZMCParcelTheft.Police = {
    enabled = false,        -- If true, police might be called during a parcel theft based on the probability
    probability = 75        -- The chance (0-100) of police being called when a parcel is being stolen
}

TZMCParcelTheft.ProgressBar = {
    duration = 5,            -- How many seconds does the progress bar last for
    label = 'Opening Box'
}

TZMCParcelTheft.Target = {
    label = 'Steal',
    icon = 'fas fa-box'
}

--[[

    REWARD 

    ITEM_NAME = { 
        prob = 100,         -- The chance of receiving this item (percentage, 1-100)
        max = 20,           -- The maximum amount of this item that can be received
        info = {            -- Any additional data for this item. Some items may require specific information, such as 'worth' for marked bills.
            worth = 1000    -- Example: 'worth' is a required field for 'markedbills'. Add any necessary data for the item here.
        } 
    }

]]

TZMCParcelTheft.Reward = {
    -- GENERAL ITEMS --
    lockpick         = { prob = 5, max = 3 },
    advancedlockpick = { prob = 2, max = 2 },
    plastic          = { prob = 12, max = 10 },
    metalscrap       = { prob = 12, max = 8 },
    copper           = { prob = 10, max = 5 },
    aluminum         = { prob = 10, max = 5 },
    aluminumoxide    = { prob = 7, max = 4 },
    iron             = { prob = 8, max = 6 },
    ironoxide        = { prob = 7, max = 4 },
    steel            = { prob = 5, max = 3 },
    rubber           = { prob = 12, max = 10 },
    glass            = { prob = 10, max = 7 },
    water_bottle     = { prob = 17, max = 5 },
    coffee           = { prob = 15, max = 4 },
    kurkakola        = { prob = 15, max = 4 },
    beer             = { prob = 12, max = 3 },
    whiskey          = { prob = 7, max = 2 },
    vodka            = { prob = 7, max = 2 },
    grape            = { prob = 12, max = 6 },
    wine             = { prob = 6, max = 2 },
    grapejuice       = { prob = 10, max = 4 },
    tosti            = { prob = 10, max = 3 },
    twerks_candy     = { prob = 15, max = 5 },
    snikkel_candy    = { prob = 15, max = 5 },
    sandwich         = { prob = 12, max = 3 },

    -- STOLEN ITEMS --
    rolex            = { prob = 5, max = 2 },
    diamond_ring     = { prob = 5, max = 2 },
    diamond          = { prob = 3, max = 1 },
    goldchain        = { prob = 5, max = 2 },
    tenkgoldchain    = { prob = 2, max = 1 },
    goldbar          = { prob = 1, max = 1 },

    -- DRUGS --
    joint            = { prob = 10, max = 5 },
    cokebaggy        = { prob = 5, max = 3 },
    crack_baggy      = { prob = 5, max = 3 },
    xtcbaggy         = { prob = 5, max = 3 },
    coke_brick       = { prob = 1, max = 1 },
    weed_brick       = { prob = 5, max = 1 },
    coke_small_brick = { prob = 3, max = 2 },
    oxy              = { prob = 5, max = 3 },
    meth             = { prob = 5, max = 3 }, 

    -- MISC --
    markedbills     = { prob = 100, max = 20, info = { worth = 1000 } }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/parcel-theft/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
